curl -X POST 'https://api.goatpay.com.br/oauth/revoke' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'token=gp_oat_live_...' \
-d 'client_id=gp_oauth_live_...' \
-d 'client_secret=SEU_SECRET'
HTTP/1.1 200 OK
Protocolo
Revogar token
Invalida access ou refresh token (RFC 7009).
POST
/
oauth
/
revoke
curl -X POST 'https://api.goatpay.com.br/oauth/revoke' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'token=gp_oat_live_...' \
-d 'client_id=gp_oauth_live_...' \
-d 'client_secret=SEU_SECRET'
HTTP/1.1 200 OK
curl -X POST 'https://api.goatpay.com.br/oauth/revoke' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'token=gp_oat_live_...' \
-d 'client_id=gp_oauth_live_...' \
-d 'client_secret=SEU_SECRET'
HTTP/1.1 200 OK
200 em sucesso (RFC 7009).
string
required
Access token (
gp_oat_...) ou refresh token (gp_ort_...) a revogar.string
Client ID da aplicação.
string
Secret do client, se confidential.
Revogar um refresh token invalida toda a cadeia de autorização associada.

